diff --git a/CMakeLists.txt b/CMakeLists.txt
index eae8864281ca7fe641e7a5bc97fba220961702c6..60d3236bb0e15af4291c5628eef86530183e4037 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -8,7 +8,7 @@ set(CMAKE_C_STANDARD 11)
 SET( CPACK_PACKAGE_NAME  "${PROJECT_NAME}")
 SET( CPACK_PACKAGE_VERSION_MAJOR 3)
 SET( CPACK_PACKAGE_VERSION_MINOR 2)
-SET( CPACK_PACKAGE_VERSION_PATCH 7)
+SET( CPACK_PACKAGE_VERSION_PATCH 8)
 
 # init CellFrame SDK
 add_definitions("-DDAP_VERSION=\"${CPACK_PACKAGE_VERSION_MAJOR}\"")
diff --git a/cellframe-sdk b/cellframe-sdk
index b1d26a14595f89b826b4652427e258981ec3411c..9a45f8fee0ee22663bd109bcf20dc155c9498046 160000
--- a/cellframe-sdk
+++ b/cellframe-sdk
@@ -1 +1 @@
-Subproject commit b1d26a14595f89b826b4652427e258981ec3411c
+Subproject commit 9a45f8fee0ee22663bd109bcf20dc155c9498046
diff --git a/prod_build/linux/debian/essentials/postinst b/prod_build/linux/debian/essentials/postinst
index 27dd07978b60ed895234b110a2bbcdeeb0f53fbc..bc66ad0d30cf1a5c1ab542d8efc5a8e134ca1c91 100755
--- a/prod_build/linux/debian/essentials/postinst
+++ b/prod_build/linux/debian/essentials/postinst
@@ -89,7 +89,7 @@ mkdir -p $DAP_PREFIX/var/log     || true
 mkdir -p $DAP_PREFIX/var/plugins || true
 
 
-cat /etc/passwd| grep cellframe-node || adduser --system --no-create-home --group --home /opt/cellframe-node cellframe-node
+cat /etc/passwd| grep cellframe-node || adduser --system --no-create-home --group --home /opt/cellframe-node cellframe-node || true
 
 echo "[*] Check /etc/systemd/system/$DAP_APP_NAME.service file..."
 if [ -L /etc/systemd/system/$DAP_APP_NAME.service ]; then
@@ -110,10 +110,10 @@ else
     adduser --system --no-create-home --group --home /opt/cellframe-node cellframe-node || true
     #usermod -aG $DAP_CHAINS_NAME `users | awk '{print $1}'`
     for username in $(cat /etc/passwd | grep "/home" | cut -d ':' -f1); do
-        usermod -aG cellframe-node $username
+        usermod -aG cellframe-node $username || true
     done
-    mkdir -p $DAP_PREFIX/var/{run,lib/ca,lib/wallet,lib/global_db,var/plugins} 
-    touch $DAP_PREFIX/var/run/cellframe-node.pid 
+    mkdir -p $DAP_PREFIX/var/{run,lib/ca,lib/wallet,lib/global_db,var/plugins} || true
+    touch $DAP_PREFIX/var/run/cellframe-node.pid || true
     #chown -R $USERMAN:$USERMAN $DAP_PREFIX
     for filename in $(find $DAP_PREFIX); do
         if [ -d $filename ]; then